package emacs23 23.3+1-1ubuntu4 failed to install/upgrade: ErrorMessage: subprocess installed post-installation script returned error exit status 1

Bug #913771 reported by Jeff Abrahamson on 2012-01-09
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
emacs23 (Ubuntu)
Undecided
Unassigned

Bug Description

The install process during a dist-upgrade from 11.04 to 11.10 reported an error upgrading emacs23. I'm afraid I don't know much more about what happened.

ProblemType: Package
DistroRelease: Ubuntu 11.10
Package: emacs23 23.3+1-1ubuntu4
ProcVersionSignature: Ubuntu 2.6.38-13.53-generic 2.6.38.8
Uname: Linux 2.6.38-13-generic x86_64
ApportVersion: 1.23-0ubuntu4
Architecture: amd64
Date: Mon Jan 9 13:58:47 2012
ErrorMessage: ErrorMessage: subprocess installed post-installation script returned error exit status 1
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
SourcePackage: emacs23
Title: package emacs23 23.3+1-1ubuntu4 failed to install/upgrade: ErrorMessage: subprocess installed post-installation script returned error exit status 1
UpgradeStatus: Upgraded to oneiric on 2012-01-09 (0 days ago)

Jeff Abrahamson (jeff-purple) wrote :
Jeff Abrahamson (jeff-purple) wrote :
Download full text (11.9 KiB)

jeff@london:~ $ sudo apt-get install -f
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libswscale0 semantic libipc-run-perl libmono-management4.0-cil libavutil50 libunity4 libnet-ip-perl libmono-simd2.0-cil libunistring0 diffstat libnet-dns-perl libx264-106 cedet-common libprotobuf6
  libmono-management2.0-cil libseed0 libbluray0 libecal1.2-8 patchutils libcrypto++8 libibus2 libswt-webkit-gtk-3.6-jni libio-pty-perl libboost-program-options1.42.0 libavfilter1
  libboost-date-time1.42.0 unity-place-applications libavdevice52 libunity-misc0 linux-headers-2.6.38-13-generic libboost-iostreams1.42.0 libdmapsharing2 gir1.2-vte-0.0 gir1.2-appindicator-0.1
  intltool-debian gnome-panel-bonobo libswt-gtk-3.6-java libpsiconv6 libavcodec52 libfolks22 mono-csharp-shell unity-place-files libindicator3 gettext speedbar libpanel-applet-3-0 ede
  libpanel-applet-4-0 libgdata11 cedet-contrib libedata-cal1.2-10 libgtkglext1 libedata-book1.2-8 libgwibber1 libedataserverui1.2-11 libdbusmenu-gtk3 libboost-thread1.42.0 libswt-gnome-gtk-3.6-jni
  libntfs-3g79 libpostproc51 liblzo2-2 cogre libavformat52 libnet-domain-tld-perl libnux-0.9-0 gccxml libemail-valid-perl libboost-serialization1.42.0 libcamel1.2-19 libicu-dev linux-headers-2.6.38-13
  eieio libswt-gtk-3.6-jni libfolks-telepathy22 lintian libnux-0.9-common gir1.2-panelapplet-4.0 libprotoc6 libswt-cairo-gtk-3.6-jni python-wsgi-intercept libdigest-hmac-perl
  liboverlay-scrollbar-0.1-0 libebook1.2-10 mono-gmcs
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
3 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up emacs23 (23.3+1-1ubuntu4) ...
emacs-install emacs23
install/auctex: Setting up for emacs23 (log file: /usr/share/emacs23/site-lisp/auctex//CompilationLog)... done.
update-auctex-elisp[15842]: Further output will appear in: /var/log/auctex-emacs23.log.
install/cedet-common: Handling install for emacsen flavor emacs23
Wrote /usr/share/emacs23/site-lisp/cedet-common/cedet-autogen.elc
Wrote /usr/share/emacs23/site-lisp/cedet-common/cedet-compat.elc
Wrote /usr/share/emacs23/site-lisp/cedet-common/cedet-edebug.elc
Wrote /usr/share/emacs23/site-lisp/cedet-common/cedet-files.elc
Wrote /usr/share/emacs23/site-lisp/cedet-common/cedet-load.elc
Wrote /usr/share/emacs23/site-lisp/cedet-common/cedet.elc
Wrote /usr/share/emacs23/site-lisp/cedet-common/ezimage.elc
Wrote /usr/share/emacs23/site-lisp/cedet-common/fame.elc
Wrote /usr/share/emacs23/site-lisp/cedet-common/inversion.elc
Wrote /usr/share/emacs23/site-lisp/cedet-common/mode-local.elc
Wrote /usr/share/emacs23/site-lisp/cedet-common/pprint.elc
Wrote /usr/share/emacs23/site-lisp/cedet-common/sformat.elc
Wrote /usr/share/emacs23/site-lisp/cedet-common/working.elc
install/dictionaries-common: Already byte-compiled for emacs23. Skipping ...
install/ecb: Handling install for emacsen flavor emacs23
Loading /etc/emacs/site-start.d/00debian-vars.el (source)...
Loading /etc/emacs23/site-start.d/50auctex.el (source)...
Loading /usr/sh...

Jeff Abrahamson (jeff-purple) wrote :

De-installing ecb works around (or fixes, depending on one's view) the problem.

era (era) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This particular bug has already been reported and is a duplicate of bug #861533, so it is being marked as such. Please look at the other bug report to see if there is any missing information that you can provide, or to see if there is a workaround for the bug. Additionally, any further discussion regarding the bug should occur in the other report. Please continue to report any other bugs you may find.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in emacs23 (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers